<?php
namespace Claromentis\People\Event;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"] = (@$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"] ?: array()) + array("_b070ffda" . "70d673baa" . "2ab1a4ca1" . "3c254c" => base64_decode("cHJldl" . "91c2Vy" . "bmFtZQ" . "=="), "_dd45fa0d6586ab8e73f" . "6f6f116b1a970" => base64_decode("cHJldl" . "91c2Vy" . "X2lk"), "cont" . "ext" => base64_decode("Y29u" . "dGV4" . "dA=="), "_28c85ce81fee65" . "32980262893b6f2" . "425" => base64_decode("dXNlcm5h" . "bWU="), "_5439477835f9c7" . "cc26a988f88cb19" . "553" => base64_decode("cHJldl9mdWxs" . "X25hbWU="), "_539cf4259a149ca9dbb739b2cd" . "b7c608" => base64_decode("ZW1haWxfYWRkcmVzc" . "w=="), "_8cca4dd34e20c5344bb2a30f2533c4e" . "5" => base64_decode("ZnVsbF" . "9uYW1l"), "_eb6cb4623735c07195e93735d659236" . "d" => base64_decode("cHJldl9lbWF" . "pbF9hZGRyZX" . "Nz"), "user_" . "id" => base64_decode("dXN" . "lcl" . "9pZ" . "A=="), "_baec81a782bb3d" . "538149a92256882" . "46e" => base64_decode("ZXZlb" . "nRfc2" . "91cmN" . "l"));
use Claromentis\Core\Event\GenericEvent;
use Claromentis\Core\Security\SecurityContext;
use InvalidArgumentException;









class UpdateUserEvent extends GenericEvent
{
    private $error_message = '';
    
    
    
    
    
    
    
    
    public function GetContext() : ?SecurityContext
    {
        return $this->hasArgument($GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["contex" . "t"]) ? $this->getArgument($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["contex" . "t"]) : null;
    }
    
    
    
    
    
    
    public function GetUserId()
    {
        return $this->getArgument($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["user" . "_id"]);
    }
    
    
    
    
    public function GetFullName()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_8cca4dd34e20c5" . "344bb2a30f2533c" . "4e5"]);
    }
    
    
    
    
    public function GetUsername()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_28c85ce81fee6532980262893b6f242" . "5"]);
    }
    
    
    
    
    public function GetEmailAddress()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_539cf4259a14" . "9ca9dbb739b2c" . "db7c608"]);
    }
    
    
    
    
    public function GetPrevUserId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_dd45fa0d65" . "86ab8e73f6f" . "6f116b1a970"]);
    }
    
    
    
    
    public function GetPrevFullName()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_5439477835f9c7cc26a988f8" . "8cb19553"]);
    }
    
    
    
    
    public function GetPrevUsername()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_b070ffd" . "a70d673b" . "aa2ab1a4" . "ca13c254" . "c"]);
    }
    
    
    
    
    public function GetPrevEmailAddress()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_eb6cb4623735c071" . "95e93735d659236d"]);
    }
    
    
    
    
    
    
    
    
    public function GetEventSource()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_baec81a782bb3" . "d538149a922568" . "8246e"]);
    }
    
    
    
    
    
    
    public function SetErrorMessage($error_message)
    {
        $this->error_message = $error_message;
    }
    
    
    
    
    
    
    public function GetErrorMessage()
    {
        return $this->error_message;
    }
}